zipios::EndOfCentralDirectory Class Reference

The end of the Central directory structure. More...

`#include <ziphead.h>`

## Public Member Functions

| EndOfCentralDirectory (const string &_zip_comment="", uint16 _disk_num=0, uint16 _cdir_disk_num=0, uint16 _cdir_entries=0, uint16 _cdir_tot_entries=0, uint32 _cdir_size=0, uint32 _cdir_offset=0)
uint32 | offset () const
uint16 | totalCount () const
void | setCDirSize (uint32 size)
void | setOffset (uint32 offset)
void | setTotalCount (uint16 c)
int | eocdOffSetFromEnd () const
bool | read (vector< unsigned char > &buf, int pos)

## Friends

ostream & | operator<< (ostream &os, const EndOfCentralDirectory &eocd)

## Detailed Description

The end of the Central directory structure.

This structure is stored in the end of the zipfile, and contains information about the zipfile, including the position of the start of the central directory.

Definition at line 159 of file ziphead.h.

## Constructor & Destructor Documentation

## EndOfCentralDirectory()

zipios::EndOfCentralDirectory::EndOfCentralDirectory | ( | const string & | _zip_comment = "",
|  | uint16 | _disk_num = 0,
|  | uint16 | _cdir_disk_num = 0,
|  | uint16 | _cdir_entries = 0,
|  | uint16 | _cdir_tot_entries = 0,
|  | uint32 | _cdir_size = 0,
|  | uint32 | _cdir_offset = 0 )

inline explicit

Definition at line 162 of file ziphead.h.

## Member Function Documentation

## eocdOffSetFromEnd()

int zipios::EndOfCentralDirectory::eocdOffSetFromEnd | ( |  | ) | const

inline

Definition at line 182 of file ziphead.h.

## offset()

uint32 zipios::EndOfCentralDirectory::offset | ( |  | ) | const

inline

Definition at line 176 of file ziphead.h.

## read()

bool zipios::EndOfCentralDirectory::read | ( | vector< unsigned char > & | buf,
|  | int | pos )

Definition at line 242 of file ziphead.cpp.

## setCDirSize()

void zipios::EndOfCentralDirectory::setCDirSize | ( | uint32 | size | ) |

inline

Definition at line 178 of file ziphead.h.

## setOffset()

void zipios::EndOfCentralDirectory::setOffset | ( | uint32 | offset | ) |

inline

Definition at line 179 of file ziphead.h.

## setTotalCount()

void zipios::EndOfCentralDirectory::setTotalCount | ( | uint16 | c | ) |

inline

Definition at line 181 of file ziphead.h.

## totalCount()

uint16 zipios::EndOfCentralDirectory::totalCount | ( |  | ) | const

inline

Definition at line 177 of file ziphead.h.

The documentation for this class was generated from the following files:

- ziphead.h
- ziphead.cpp